=== debian/changelog ===
dde-daemon (5.13.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 14 Apr 2021 16:14:34 +0800

dde-daemon (3.0.18) unstable; urgency=low

  * Autobuild Tag 3.0.18 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:46:04 +0000

dde-daemon (3.0.17) unstable; urgency=low

  * Autobuild Tag 3.0.17 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 22 Jul 2016 07:46:25 +0000

dde-daemon (3.0.16) unstable; urgency=low

  * Autobuild Tag 3.0.16 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 30 May 2016 11:50:22 +0000

dde-daemon (3.0.15) unstable; urgency=low

  * Autobuild Tag 3.0.15 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 27 May 2016 10:02:01 +0000

dde-daemon (3.0.14) unstable; urgency=low

  * Autobuild Tag 3.0.14 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 26 May 2016 09:11:00 +0000

dde-daemon (3.0.13) unstable; urgency=low

  * Autobuild Tag 3.0.13 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 11:38:25 +0000

dde-daemon (3.0.11) unstable; urgency=low

  * Autobuild Tag 3.0.11 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 24 Feb 2016 16:58:42 +0000

dde-daemon (3.0.10) unstable; urgency=low

  * Autobuild Tag 3.0.10 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 22 Feb 2016 16:38:06 +0000

dde-daemon (3.0.7) stable; urgency=low

  * Autobuild Tag 3.0.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 27 Jan 2016 21:40:25 +0000

dde-daemon (3.0.6) stable; urgency=low

  * Autobuild Tag 3.0.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 22 Jan 2016 19:33:15 +0000

dde-daemon (3.0.5) stable; urgency=low

  * Autobuild Tag 3.0.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 20 Jan 2016 20:07:25 +0000

dde-daemon (3.0.3) stable; urgency=low

  * Autobuild Tag 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 12 Jan 2016 18:01:29 +0000

dde-daemon (3.0.2) stable; urgency=low

  * Autobuild Tag 3.0.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 30 Dec 2015 20:48:37 +0000

dde-daemon (3.0.1) stable; urgency=low

  * Autobuild Tag 3.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 21:19:13 +0000

dde-daemon (3.0.0) stable; urgency=low

  * Autobuild Tag 3.0.0 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 20:41:11 +0000

dde-daemon (2.93.5) stable; urgency=low

  * Autobuild Tag 2.93.5 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 13:06:54 +0000

dde-daemon (2.93.4) stable; urgency=low

  * Autobuild Tag 2.93.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 10 Dec 2015 20:29:24 +0000

dde-daemon (2.93.3) stable; urgency=low

  * Autobuild Tag 2.93.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 10 Dec 2015 10:49:07 +0000

dde-daemon (2.93.2) stable; urgency=low

  * Autobuild Tag 2.93.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 21:54:19 +0000

dde-daemon (2.93.1) stable; urgency=low

  * Autobuild Tag 2.93.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 10:04:52 +0000

dde-daemon (2.93.0) stable; urgency=low

  * Autobuild Tag 2.93.0 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:22:43 +0000

dde-daemon (2.92.2) stable; urgency=low

  * Autobuild Tag 2.92.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 06 Aug 2015 10:11:24 +0000

dde-daemon (2.92.1) stable; urgency=low

  * Autobuild Tag 2.92.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 06 Aug 2015 09:55:44 +0000

dde-daemon (2.91.0) stable; urgency=low

  * Autobuild Tag 2.91.0 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 02 Jul 2015 16:25:32 +0000
