## dde-daemon 5.14.18

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 PREFIX = /usr
 GOPATH_DIR = gopath
-GOPKG_PREFIX = pkg.deepin.io/dde/daemon
+GOPKG_PREFIX = github.com/linuxdeepin/dde-daemon
 GOBUILD = go build $(GO_BUILD_FLAGS)
+export GO111MODULE=off
+export GOPATH=$(shell go env GOPATH)
 
 BINARIES =  \
 	    dde-session-daemon \
@@ -19,23 +21,23 @@
 
 LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))
 
+CFLAGS = -W -Wall -fno-stack-protector
+
 all: build
 
 prepare:
 	@mkdir -p out/bin
-	@if [ ! -d ${GOPATH_DIR}/src/${GOPKG_PREFIX} ]; then \
-		mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX}); \
-		ln -sf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX}; \
-		fi
+	@mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX});
+	@ln -snf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX};
 
 out/bin/%: prepare
-	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o $@  ${GOPKG_PREFIX}/bin/${@F}
+	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o $@ ${GOBUILD_OPTIONS} ${GOPKG_PREFIX}/bin/${@F}
 
 out/bin/default-file-manager: bin/default-file-manager/main.c
-	gcc $^ $(shell pkg-config --cflags --libs gio-unix-2.0) -o $@
+	gcc $^ $(shell pkg-config --cflags --libs gio-unix-2.0) $(CFLAGS) -o $@
 
 out/bin/desktop-toggle: bin/desktop-toggle/main.c
-	gcc $^ $(shell pkg-config --cflags --libs x11) -o $@
+	gcc $^ $(shell pkg-config --cflags --libs x11) $(CFLAGS) -o $@
 
 out/locale/%/LC_MESSAGES/dde-daemon.mo: misc/po/%.po
 	mkdir -p $(@D)
@@ -57,7 +59,7 @@
 	deepin-policy-ts-convert ts2policy misc/polkit-action/com.deepin.daemon.$$i.policy.in misc/ts/com.deepin.daemon.$$i.policy misc/polkit-action/com.deepin.daemon.$$i.policy; \
 	done
 
-build: prepare out/bin/default-terminal out/bin/default-file-manager out/bin/desktop-toggle $(addprefix out/bin/, ${BINARIES}) ts_to_policy
+build: prepare out/bin/default-terminal out/bin/default-file-manager out/bin/desktop-toggle $(addprefix out/bin/, ${BINARIES}) ts_to_policy icons translate
 
 test: prepare
 	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -v ./...
@@ -68,9 +70,9 @@
 print_gopath: prepare
 	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"
 
-install: build translate install-dde-data install-icons
+install: build install-dde-data install-icons
 	mkdir -pv ${DESTDIR}${PREFIX}/lib/deepin-daemon
-	cp out/bin/* ${DESTDIR}${PREFIX}/lib/deepin-daemon/
+	cp -f out/bin/* ${DESTDIR}${PREFIX}/lib/deepin-daemon/
 
 	mkdir -pv ${DESTDIR}${PREFIX}/share/locale
 	cp -r out/locale/* ${DESTDIR}${PREFIX}/share/locale
@@ -100,8 +102,8 @@
 	mkdir -pv ${DESTDIR}/etc/default/grub.d
 	cp -f misc/etc/default/grub.d/* ${DESTDIR}/etc/default/grub.d
 
-	mkdir -pv ${DESTDIR}/etc/grub.d
-	cp -f misc/etc/grub.d/* ${DESTDIR}/etc/grub.d
+	mkdir -pv ${DESTDIR}/etc/deepin
+	cp -f misc/etc/deepin/* ${DESTDIR}/etc/deepin
 
 	mkdir -pv ${DESTDIR}/etc/acpi/events
 	cp -f misc/etc/acpi/events/* ${DESTDIR}/etc/acpi/events/
@@ -121,12 +123,24 @@
 	mkdir -pv ${DESTDIR}/etc/NetworkManager/conf.d
 	cp -f misc/etc/NetworkManager/conf.d/* ${DESTDIR}/etc/NetworkManager/conf.d/
 
+	mkdir -pv ${DESTDIR}/etc/lightdm/deepin/
+	cp -f misc/xsettings/xsettingsd.conf ${DESTDIR}/etc/lightdm/deepin/
+
+	mkdir -pv ${DESTDIR}${PREFIX}/libexec/dde-daemon/
+	cp -r misc/libexec/dde-daemon/* ${DESTDIR}${PREFIX}/libexec/dde-daemon/
+
+	mkdir -pv ${DESTDIR}${PREFIX}/share/dsg/apps/dde-session-daemon/configs
+	cp -r gesture/*.json ${DESTDIR}${PREFIX}/share/dsg/apps/dde-session-daemon/configs/
+
+
 install-dde-data:
 	mkdir -pv ${DESTDIR}${PREFIX}/share/dde/
 	cp -r misc/data ${DESTDIR}${PREFIX}/share/dde/
 
-install-icons:
+icons:
 	python3 misc/icons/install_to_hicolor.py -d status -o out/icons misc/icons/status
+
+install-icons: icons
 	mkdir -pv ${DESTDIR}${PREFIX}/share/icons/
 	cp -r out/icons/hicolor ${DESTDIR}${PREFIX}/share/icons/
