=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 11),
  deepin-desktop-schemas,
  deepin-gettext-tools,
- golang-dlib-dev(>> 5.1.0+),
+ golang-github-linuxdeepin-go-lib-dev(>> 5.1.0+),
  golang-gir-gio-2.0-dev (>> 1.2.0+),
  golang-gir-glib-2.0-dev (>> 1.2.0+),
  golang-gir-gobject-2.0-dev (>> 1.2.0+),
@@ -64,6 +64,7 @@
  dde-polkit-agent,
  deepin-desktop-schemas (>> 5.1.2+),
  deepin-installer-timezones,
+ deepin-proxy,
  deepin-sound-theme,
  deepin-wm | deepin-metacity | dde-kwin,
  dmidecode,
@@ -72,6 +73,7 @@
  gvfs-bin,
  hwinfo,
  imwheel,
+ ipwatchd (>> 1.2.1+),
  iso-codes,
  lastore-daemon,
  libfprint0,
@@ -80,6 +82,7 @@
  libnotify-bin,
  libpam-runtime (>= 1.1.3-2~),
  libpam0g,
+ libnss-myhostname,
  mobile-broadband-provider-info,
  network-manager,
  procps,
