## dde-daemon 5.14.44

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))
 
-CFLAGS = -W -Wall -fno-stack-protector
+CFLAGS = -W -Wall -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie
 
 all: build
 
@@ -129,9 +129,8 @@
 	mkdir -pv ${DESTDIR}${PREFIX}/libexec/dde-daemon/
 	cp -r misc/libexec/dde-daemon/* ${DESTDIR}${PREFIX}/libexec/dde-daemon/
 
-	mkdir -pv ${DESTDIR}${PREFIX}/share/dsg/apps/dde-session-daemon/configs
-	cp -r gesture/*.json ${DESTDIR}${PREFIX}/share/dsg/apps/dde-session-daemon/configs/
-
+	mkdir -pv ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/
+	cp -r gesture/*.json ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/
 
 install-dde-data:
 	mkdir -pv ${DESTDIR}${PREFIX}/share/dde/
