=== debian/changelog ===
dde-daemon (5.14.44-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 16 May 2022 16:36:32 +0800
