## dde-daemon 5.14.58

=== debian/changelog ===
dde-daemon (5.14.58-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 28 Jun 2022 11:00:35 +0800
