=== debian/control ===
--- 
+++ 
@@ -49,6 +49,7 @@
  libxi-dev,
  libxkbfile-dev,
  libxtst-dev,
+ libddcutil-dev,
  python3,
 Standards-Version: 4.5.1
 Homepage: http://www.deepin.org
