=== debian/changelog ===
dde-daemon (5.14.97-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 13 Aug 2022 14:08:01 +0800
