=== debian/control ===
--- 
+++ 
@@ -71,13 +71,13 @@
  dmidecode,
  dnsmasq-base,
  gnome-keyring,
- gvfs-bin,
+ libglib2.0-bin,
  hwinfo,
  imwheel,
- ipwatchd (>> 1.2.1+),
+ ipwatchd,
  iso-codes,
  lastore-daemon,
- libfprint0,
+ libfprint0 | libfprint | libfprint-2-2,
  libnl-3-200,
  libnl-genl-3-200,
  libnotify-bin,
@@ -91,6 +91,7 @@
  user-setup,
  xdotool,
  xkb-data,
+ dde-dconfig-daemon,
  ${dist:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
