=== debian/changelog ===
dde-daemon (5.14.100-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 27 Aug 2022 10:35:12 +0800
