## dde-daemon 5.14.104

=== debian/changelog ===
dde-daemon (5.14.104-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Sep 2022 13:16:47 +0800
