=== debian/control ===
--- 
+++ 
@@ -33,6 +33,8 @@
  golang-golang-x-xerrors-dev,
  golang-gopkg-check.v1-dev,
  golang-gopkg-yaml.v2-dev,
+ golang-google-protobuf-dev,
+ golang-github-mdlayher-netlink-dev,
  libfontconfig1-dev,
  libglib2.0-dev,
  libgtk-3-dev,
