## dde-daemon 5.14.115

=== debian/changelog ===
dde-daemon (5.14.115-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 14:08:17 +0800
