=== debian/changelog ===
dde-daemon (5.14.137.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 12 Apr 2023 17:24:46 +0800

dde-daemon (5.14.129) unstable; urgency=low

  * bump version to 5.14.129

 -- lichangze <lichangze@uniontech.com>  Wed, 11 Jan 2023 16:10:24 +0800

dde-daemon (5.14.128) unstable; urgency=low

  * bump version to 5.14.128

 -- lichangze <lichangze@uniontech.com>  Fri, 6 Jan 2023 14:20:05 +0000

dde-daemon (5.14.127) unstable; urgency=low

  * bump version to 5.14.127

 -- lichangze <lichangze@uniontech.com>  Tue, 3 Jan 2023 18:17:21 +0000

dde-daemon (5.14.126) unstable; urgency=low

  * bump version to 5.14.126

 -- lichangze <lichangze@uniontech.com>  Tue, 3 Jan 2023 15:04:21 +0000
