=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
  golang-gopkg-yaml.v2-dev,
  golang-google-protobuf-dev,
  golang-github-mdlayher-netlink-dev,
+ golang-github-jouyouyun-hardware-dev,
  libfontconfig1-dev,
  libglib2.0-dev,
  libgtk-3-dev,
