=== debian/changelog ===
dde-daemon (6.0.44) unstable; urgency=medium

  * chore: 修改默认greeter壁纸 (#645)
  * feat: TreeLand display service special handlle

 -- fuleyi <fuleyi@uniontech.com>  Fri, 09 Aug 2024 14:27:29 +0800

dde-daemon (6.0.43) unstable; urgency=medium

  * bump version to 6.0.43

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 13:36:08 +0800

dde-daemon (6.0.42) unstable; urgency=medium

  * Release to 6.0.42

 -- Yingzhen zhao <zhaoyingzhen@uniontech.com>  Fri, 06 Jul 2024 17:28:26 +0800

dde-daemon (6.0.41) unstable; urgency=medium

  * Add translations of dde-control-center in notification titles

 -- Yutao Meng <mengyutao@deepin.org>  Thu, 06 Jun 2024 13:28:25 +0800

dde-daemon (6.0.40) unstable; urgency=medium

  * chore(deps): bump golang.org/x/net from 0.17.0 to 0.23.0
    fix: the dock icon of deepin-terminal quake mode is missing

 -- Yutao Meng <mengyutao@deepin.org>  Tue, 04 Jun 2024 13:11:52 +0800

dde-daemon (6.0.39) unstable; urgency=medium

  * fix: fix a crash

 -- zsien <quezhiyong@deepin.org>  Mon, 29 Apr 2024 16:16:33 +0800

dde-daemon (6.0.38) unstable; urgency=medium

  * feat: refactor default-file-manager
  * fix: the dock entry of deepin-system-monitor is incorrect

 -- dengbo <dengbo@deepin.org>  Tue, 23 Apr 2024 13:50:51 +0800

dde-daemon (6.0.37) unstable; urgency=medium

  * fix: pressing the shortcut key will hide the launchpad

 -- zsien <quezhiyong@deepin.org>  Fri, 12 Apr 2024 14:14:27 +0800

dde-daemon (6.0.36) unstable; urgency=medium

  * chore: update translations
  * chore: change the uninstall app notification wording
  * chore(deps): bump google.golang.org/protobuf from 1.30.0 to 1.33.0
  * chore: tidyup code
  * chore: rename file to manager_tlp.go
  * chore(power)!: remove lmt logic prepare for tlp

 -- zsien <quezhiyong@deepin.org>  Fri, 22 Mar 2024 14:43:04 +0800

dde-daemon (6.0.35) unstable; urgency=medium

  *  fix: use sha256 generate desktop name

 -- dengbo <dengbo@deepin.org>  Wed, 31 Jan 2024 15:38:35 +0800

dde-daemon (6.0.34) unstable; urgency=medium

  * revert fix for keybinding for linglong

 -- chenhongtao <chenhongtao@deepin.org>  Fri, 26 Jan 2024 16:31:11 +0800

dde-daemon (6.0.33) unstable; urgency=medium

  * fix: keybinding cmd split error
  * fix: set the default value of statusNotifierHost to true

 -- dengbo <dengbo@deepin.org>  Thu, 25 Jan 2024 17:22:45 +0800

dde-daemon (6.0.32) unstable; urgency=medium

  * fix: nm log level error
  * fix: toggle button do not work
  * fix: invalid timezone during set dateTime

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 16 Jan 2024 14:36:52 +0800

dde-daemon (6.0.31) unstable; urgency=medium

  * feat: support to set anykind of grub theme
  * fix: export prxoy env error
  * fix: not locked after turning off the screen

 -- dengbo <dengbo@deepin.org>  Fri, 05 Jan 2024 13:51:05 +0800

dde-daemon (6.0.30) unstable; urgency=medium

  * fix: network need to disable twice
  * fix: fix: pstate file exist but not enable
  * feat: betterperformancelogic
  * feat: add window keybinding

 -- dengbo <dengbo@deepin.org>  Fri, 22 Dec 2023 13:03:55 +0800

dde-daemon (6.0.29) unstable; urgency=medium

  * fix: wifi device not enable
  * fix: dde-control-center timedate show empty

 -- dengbo <dengbo@deepin.org>  Tue, 28 Nov 2023 10:17:15 +0800

dde-daemon (6.0.28) unstable; urgency=medium

  * fix: delete timezone not update config file
  * fix: keybinding not valid
  * feat: add audio server switch support
  * feat: add audio translate
  * feat: update icon name

 -- bluesky <chenchongbiao@deepin.org>  Thu, 16 Nov 2023 10:39:46 +0800

dde-daemon (6.0.27) unstable; urgency=medium

  * fix: special keybinding is not effective
  * feat: keybinding adapt new am

 -- dengbo <dengbo@deepin.org>  Mon, 06 Nov 2023 16:18:50 +0800

dde-daemon (6.0.26) unstable; urgency=medium

  * feat: support balance_performance
  * fix: dde-session-daemon panic error
  * fix: timezone set error

 -- dengbo <dengbo@deepin.org>  Thu, 02 Nov 2023 13:53:20 +0800

dde-daemon (6.0.25) unstable; urgency=medium

  * fix: bash is not default SHELL for new user
  * fix: time show error when set timezone not in global time zone

 -- dengbo <dengbo@deepin.org>  Thu, 26 Oct 2023 10:34:55 +0800

dde-daemon (6.0.24) unstable; urgency=medium

  * feat: add pause player interface
  * fix: keybing action cmd error
  * chore: remove unneeded sed in PKGBUILD
  * feat: make low power setting configurable
  * fix: low battery is not saved in config
  * fix: power save mode button status error

 -- chenhongtao <chenhongtao@deepin.org>  Thu, 19 Oct 2023 10:26:50 +0800

dde-daemon (6.0.23) unstable; urgency=medium

  * chore: release with go-dbus-factory
  * feat: support config low power setting

 -- chenhongtao <chenhongtao@deepin.org>  Wed, 11 Oct 2023 10:15:15 +0800

dde-daemon (6.0.22) unstable; urgency=medium

  * fix: battery governor changed, mode not be changed
  * fix: power interface call error

 -- chenhongtao <chenhongtao@deepin.org>  Thu, 14 Sep 2023 13:10:15 +0800

dde-daemon (6.0.21) unstable; urgency=medium

  * fix: touchpad enable status misjudgment

 -- dengbo <dengbo@deepin.org>  Mon, 11 Sep 2023 13:10:15 +0800

dde-daemon (6.0.20) unstable; urgency=medium

  * fix: tpad enable status misjudgment

 -- dengbo <dengbo@deepin.org>  Wed, 06 Sep 2023 10:12:35 +0800

dde-daemon (6.0.19) unstable; urgency=medium

  * feat: New keyring white box solution decouples dde-daemon and removes relevant code
  * fix: launch incorrect pipewire service
  * feat: support amdpstate
  * fix(langselector): notify is wrong when set region
  * chore: update translations
  * chore: modify the startup order of session daemon

 -- dengbo <dengbo@deepin.org>  Mon, 28 Aug 2023 14:29:50 +0800

dde-daemon (6.0.18) unstable; urgency=medium

  * feat: bluetooth battery
  * remove syslog in deepin-accounts1-daemon.service
  * feat: support pipewire
  * feat: region set

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 08 Aug 2023 14:09:20 +0800


