## dde-daemon 6.0.47

=== debian/changelog ===
dde-daemon (6.0.47) unstable; urgency=medium

  * feat: 完善盒盖状态插拔电源动作
  * feat: 修复使用快捷键后键盘失灵问题

 -- Chengqi E <echengqi@uniontech.com>  Mon, 20 Jan 2025 09:49:40 +0800

dde-daemon (6.0.46) unstable; urgency=medium

  * feat: 修复安全漏洞

 -- fuleyi <fuleyi@uniontech.com>  Tue, 26 Nov 2024 16:49:40 +0800

dde-daemon (6.0.45) unstable; urgency=medium

  * chore: 同步专业版方案，移除飞行模式蓝牙控制代码 (#649)

 -- fuleyi <fuleyi@uniontech.com>  Wed, 28 Aug 2024 17:16:06 +0800
