## dde-daemon 6.0.48

=== debian/changelog ===
dde-daemon (6.0.48) unstable; urgency=medium

  * fix: 修复笔记本插拔外接电源时,屏幕自动变为待机状态

 -- Chengqi E <echengqi@uniontech.com>  Tue, 21 Jan 2025 11:30:40 +0800
