## dde-daemon 6.0.49

=== debian/changelog ===
dde-daemon (6.0.49) unstable; urgency=medium

  * fix: 修复认证漏洞

 -- zyz <zhaoyingzhen@uniontech.com>  Tue, 21 Jan 2025 11:30:40 +0800
