=== debian/control ===
--- 
+++ 
@@ -28,11 +28,12 @@
  golang-github-rickb777-date-dev,
  golang-github-smartystreets-goconvey-dev,
  golang-github-teambition-rrule-go-dev,
+ golang-github-adrg-xdg-dev,
  golang-go,
  golang-golang-x-sys-dev,
  golang-golang-x-xerrors-dev,
  golang-gopkg-check.v1-dev,
- golang-gopkg-yaml.v2-dev,
+ golang-gopkg-yaml.v3-dev,
  golang-google-protobuf-dev,
  golang-github-mdlayher-netlink-dev,
  golang-github-jouyouyun-hardware-dev,
@@ -70,7 +71,6 @@
  deepin-installer-timezones,
  deepin-proxy,
  deepin-sound-theme,
- deepin-wm | deepin-metacity | dde-kwin,
  dmidecode,
  dnsmasq-base,
  gnome-keyring,
@@ -80,9 +80,7 @@
  ipwatchd,
  iso-codes,
  lastore-daemon,
- libfprint0 | libfprint | libfprint-2-2,
- libnl-3-200,
- libnl-genl-3-200,
+ libfprint-2-2,
  libnotify-bin,
  libpam-runtime (>= 1.1.3-2~),
  libpam0g,
@@ -94,7 +92,7 @@
  user-setup,
  xdotool,
  xkb-data,
- dde-dconfig-daemon,
+ systemd-timesyncd,
  ${dist:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
