=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 export GOCACHE = /tmp/gocache
 export GOPATH = /usr/share/gocode
+export GO111MODULE=off
 
 SYSTYPE=Desktop
 SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')
@@ -11,10 +12,6 @@
 ifeq ($(SYSTYPE), Desktop)
 override_dh_gencontrol:
 	dh_gencontrol -- -Vdist:Depends="fprintd, libpam-fprintd"
-endif
-
-ifneq ($(DEB_BUILD_ARCH), mips64el)
-	export GOBUILD_OPTIONS=-ldflags '-linkmode=external -extldflags "-pie"'
 endif
 
 %:
