## dde-daemon 6.1.27

=== debian/changelog ===
dde-daemon (6.1.27) unstable; urgency=medium

  * fix: 解决屏保没有同步的问题
  * fix: 解决kwin升级后导致快捷键的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 17 Apr 2025 20:48:57 +0800

dde-daemon (6.1.26) unstable; urgency=medium

  * chore: display & xsettings moved to dde-daemon

 -- fuleyi <fuleyi@uniontech.com>  Wed, 02 Apr 2025 14:26:56 +0800

dde-daemon (6.1.25) unstable; urgency=medium

  * fix: 用户添加删除壁纸，发送信号
  * fix: 热键使用dde-am启动应用，兼容玲珑应用

 -- fuleyi <fuleyi@uniontech.com>  Thu, 27 Mar 2025 14:43:33 +0800

dde-daemon (6.1.24) unstable; urgency=medium

  * fix: 解决控制中心设置启动动画尺寸后，重启无法进入系统的问题
  * fix: 磁盘不足的通知，前往清理的文案没有翻译 

 -- fuleyi <fuleyi@uniontech.com>  Thu, 13 Mar 2025 17:07:00 +0800

dde-daemon (6.1.23) unstable; urgency=medium

  * feat: custom wallpaper maximum 20

 -- fuleyi <fuleyi@uniontech.com>  Wed, 05 Mar 2025 17:35:43 +0800

dde-daemon (6.1.22) unstable; urgency=medium

  * fix: 解决磐石系统下uadp存储的问题

 -- Chengqi E <echengqi@uniontech.com>  Thu, 27 Feb 2025 16:04:06 +0800

dde-daemon (6.1.21) unstable; urgency=medium

  * fix: 解决磐石系统下设置不了壁纸的问题
  * chore: 解决壁纸没有保存的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 20 Feb 2025 17:34:06 +0800

dde-daemon (6.1.20) unstable; urgency=medium

  * fix: 修复台式机电源管理中使用电源界面,显示有笔记本合盖时设置项问题
  * fix: Accept bluetooth file notification will never timeout (#743)
  * fix: 修复低电量阈值下拉框显示空白问题
  * fix: 修复电源管理模块崩溃问题
  * fix: 修复手势翻译错误的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 13 Feb 2025 15:28:30 +0800

dde-daemon (6.1.19) unstable; urgency=medium

  * fix: 解决切换grub启动菜单失败的问题

 -- fuleyi <fuleyi@uniontech.com>  Fri, 24 Jan 2025 09:59:48 +0800

dde-daemon (6.1.18) unstable; urgency=medium

  * fix: 设置手势的动作后，发送infos变化的信号

 -- fuleyi <fuleyi@uniontech.com>  Thu, 16 Jan 2025 17:38:52 +0800

dde-daemon (6.1.17) unstable; urgency=medium

  * feat: 设置三指短触手势为打开关闭全局搜索
  * fix: 添加窗口铺至左右侧快捷键的翻译，更新go.mod
  * fix: 优化触控板逻辑
  * fix: 手势动作支持设置

 -- fuleyi <fuleyi@uniontech.com>  Thu, 09 Jan 2025 11:18:00 +0800

dde-daemon (6.1.16) unstable; urgency=medium

  * fix: 适配libinput的升级，解决收不到tap事件的问题
  * fix: 解决ImageEffect1接口调用失败的问题
  * fix: 由于权限管控，预先创建/var/cache/deepin/dde-daemon目录

 -- fuleyi <fuleyi@uniontech.com>  Fri, 03 Jan 2025 11:03:48 +0800

dde-daemon (6.1.15) unstable; urgency=medium

  * fix: 适配pipewire，解决音频设备模式切换失败的问题

 -- fuleyi <fuleyi@uniontech.com>  Tue, 24 Dec 2024 11:43:20 +0800

dde-daemon (6.1.14) unstable; urgency=medium

  * fix: 解决禁用触控板无法禁用的问题
  * fix: 修复按电源键“关闭显示器”无法再次按电源键点亮显示器问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 19 Dec 2024 11:10:23 +0800

dde-daemon (6.1.13) unstable; urgency=medium

  * fix: 定时关闭倒计时通知取消关闭按钮
  * feat: 音频单声道设置取消pipewire限制
  * feat: 音频框架默认pipewire，且treeland环境强制切换为pipewire框架
  * feat: 设置默认主题为nirvana
  * chore: update translations

 -- fuleyi <fuleyi@uniontech.com>  Fri, 13 Dec 2024 14:47:41 +0800

dde-daemon (6.1.12) unstable; urgency=medium

  * fix: 解决dconfig属性类型不对导致崩溃的问题
  * fix: 修复节能设置中低电量时自动开启节能模式和使用电池时自动开启节能模式默认值与需求不符问题
  * fix: 解决安全加固导致image-blur创建不了文件的问题
  * fix: treeland下可以导出StatusNotifierWatcher接口

 -- fuleyi <fuleyi@uniontech.com>  Fri, 06 Dec 2024 17:17:38 +0800

dde-daemon (6.1.11) unstable; urgency=medium

  * feat: 修改语音朗读快捷键动作
  * feat: treeland环境下音频框架默认使用pipewire

 -- fuleyi <fuleyi@uniontech.com>  Fri, 29 Nov 2024 11:34:39 +0800

dde-daemon (6.1.10) unstable; urgency=medium

  * feat: 修复安全漏洞

 -- fuleyi <fuleyi@uniontech.com>  Fri, 22 Nov 2024 10:59:32 +0800

dde-daemon (6.1.9) unstable; urgency=medium

  * feat: automatic switch power saving mode threshold
  * fix: 创建配置目录: /var/lib/dde-daemon
  * fix: 解决power的dconfig配置初始化失败的问题
  * fix: 解决热键不响应问题
  * chore: 更正bluez属性Percentage的类型
  * feat: support selecting the action when the battery is low
  * fix: wrong bus name of dde-lock-service

 -- fuleyi <fuleyi@uniontech.com>  Wed, 20 Nov 2024 14:21:58 +0800

dde-daemon (6.1.8) unstable; urgency=medium

  * fix: 修复用户体验计划不可用问题
  * chore: 修改遗漏的dbus接口变更
  * chore: 解决super+lock不锁屏的问题
  * chore: 添加时区，并且将时间的配置改为dconfig控制

 -- fuleyi <fuleyi@uniontech.com>  Thu, 07 Nov 2024 13:49:01 +0800

dde-daemon (6.1.7) unstable; urgency=medium

  * chore: 修改网络代理dbus接口名称

  -- caixiangrong <caixiangrong@uniontech.com>  Thu, 24 Oct 2024 17:15:40 +0800

dde-daemon (6.1.6) unstable; urgency=medium

  * feat: 解决dde-system-daemon服务启动不了的问题 (#663)

 -- fuleyi <fuleyi@uniontech.com>  Tue, 22 Oct 2024 17:03:02 +0800

dde-daemon (6.1.5) unstable; urgency=medium

  * feat: 解决dde-system-daemon服务启动不了的问题 (#663)

 -- fuleyi <fuleyi@uniontech.com>  Tue, 22 Oct 2024 13:20:09 +0800

dde-daemon (6.1.4) unstable; urgency=medium

  * feat: 增加deepin-daemon和deepin-admin-daemon两个用户

 -- fuleyi <fuleyi@uniontech.com>  Mon, 21 Oct 2024 19:14:24 +0800

dde-daemon (6.1.3) unstable; urgency=medium

  * 添加dde-session-daemon 的service文件

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 19:08:32 +0800

dde-daemon (6.1.2) unstable; urgency=medium

  * chore:修复dde-daemon编译问题
  * chore: remove deprecated ioutil
  * chore: systemd hardening
  * chore: systemd文件调整，makefile去掉冗余的安装 (linuxdeepin#654)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 14:34:13 +0800

dde-daemon (6.1.1) unstable; urgency=medium

  * chore: cherry-pick paths from professional

 -- fuleyi <fuleyi@uniontech.com>  Mon, 02 Sep 2024 15:18:43 +0800

dde-daemon (6.1.0) unstable; urgency=medium

  * 1070代码迁移，接口调整为v23风格

 -- fuleyi <fuleyi@uniontech.com>  Tue, 16 Jul 2024 09:47:14 +0800

dde-daemon (5.15.13.1) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 监听飞行模式和WIFI状态改变时使用定时显示OSD(Bug: 189383)(Influence: 显示飞行模式OSD时不显示WIFI连接OSD)
  * chore: 增加lastore日志(Influence: 日志)
  * fix: 修复播放器无法暂停导致音频服务阻塞问题(Bug: 198489)(Influence: 声音)
  * fix: dconfig类型默认为float64，直接转化成uint32会导致崩溃(Influence: dde-session-daemon崩溃)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 13 Jun 2023 10:57:33 +0800

dde-daemon (5.15.12.3) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 修复战斗版镜像待机/休眠后无法通过电源键唤醒的问题(Bug: 196477)(Influence: 待机/休眠功能)
  * fix: 修复待机唤醒后黑屏问题(Bug: 196477)(Influence: 修复待机唤醒后黑屏问题)

