=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,11 @@
 	true
 endif
 
+override_dh_auto_install:
+	dh_auto_install
+	dh_installsysusers  dde-daemon.sysusers
+	dh_installtmpfiles dde-daemon.tmpfiles
+
 ifeq ($(DEB_BUILD_ARCH), mipsel)
 override_dh_auto_configure:
 	# mate-screenshot -a grab the area screen
@@ -38,6 +43,8 @@
 	dh_auto_install
 	rm debian/dde-daemon/etc/default/grub.d/10_deepin.cfg
 	rm debian/dde-daemon/etc/grub.d/35_deepin_gfxmode
+	dh_installsysusers  dde-daemon.sysusers
+	dh_installtmpfiles dde-daemon.tmpfiles
 endif
 
 ifeq ($(DEB_BUILD_ARCH), mips64el)
@@ -46,7 +53,13 @@
 	rm debian/dde-daemon/etc/default/grub.d/10_deepin.cfg
 	install -d debian/dde-daemon/lib/systemd/system-sleep/
 	install misc/scripts/dde-system-daemon-power-refresh.sh debian/dde-daemon/lib/systemd/system-sleep/
+	dh_installsysusers  dde-daemon.sysusers
+	dh_installtmpfiles dde-daemon.tmpfiles
 endif
 
 override_dh_installsystemd:
 	dh_installsystemd --no-start
+
+override_dh_auto_clean:
+	dh_auto_clean --
+	rm -fr obj-x86_64-linux-gnu
